Help with Export Error Blender to P3Dv.3

#1
Working on a project and been getting this error off and on... meaning sometimes it will compile and others it will not.. which I find to be extremely strange. The project is pretty large (30MB mdl file, 90K vertices). It feels like I'm reaching the limit of what the XtoMDL compiler can handle or it may just be a simple bug. I compile often and I just keep getting these crashes lately. Any help is greatly appreciated.

This is the error log I keep getting.

Traceback (most recent call last):
File "C:\Users\Computer\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\io_scene_fsx\export_fsx.py", line 341, in Export
spawnv(P_WAIT, XToMdl, ['XToMdl.exe', '/XANIM', '/DICT:"%s"' % modeldef, '"%s"' % (Util.ReplaceFileNameExt(self.Config.filepath, '.x'))])
OSError: [Errno 0] Error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\Computer\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\io_scene_fsx\__init__.py", line 175, in execute
Exporter.Export()
File "C:\Users\Computer\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\io_scene_fsx\export_fsx.py", line 354, in Export
raise ExportError("Export to .MDL failed. XToMdl.exe returned an error.")
io_scene_fsx.export_fsx.ExportError: Export to .MDL failed. XToMdl.exe returned an error.

location: <unknown location>:-1
 

Pyscen

Resource contributor
#2
Hello...

What is the filename used when compiling? Are you using the correct version of XtoMdl? P3Dv3? How many vertices does the model have? Have you tried exporting to a 3ds file and then tried to compile?
 
#3
Hi Doug,

The Filename is pretty basic. projectengine3.blend ( no special characters). I am using the correct XtoMDL (in this case P3d v3.4 in the sdk)

Total Project has 91K Vertices spread across different textures. I didn't try exporting to 3ds yet but found one of my objects had too high of a subsurf modifier. and that seemed to fix it for the time being
 
Top